[youtubei.js](../../../../README.md) / [Utils](../README.md) / getStringBetweenStrings

# Function: getStringBetweenStrings()

> **getStringBetweenStrings**(`data`, `start_string`, `end_string`): `string` \| `undefined`

Defined in: [src/utils/Utils.ts:84](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/Utils.ts#L84)

Finds a string between two delimiters.

## Parameters

### data

`string`

the data.

### start\_string

`string`

start string.

### end\_string

`string`

end string.

## Returns

`string` \| `undefined`
